commit 022beccee6a5ea3624ce1e513bca036f40d87395
Author: freddy77 <freddy77>
Date:   Wed Mar 4 17:51:25 2009 +0000

    remove a warning and change style

diff --git a/ChangeLog b/ChangeLog
index 1f55bc7..4c93d8e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Mar  4 18:51:16 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/dblib.c: remove a warning and change style
+
 Wed Mar  4 18:40:56 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/dblib.c: make it compile
 
@@ -1366,4 +1369,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2738 2009/03/04 17:41:07 freddy77 Exp $
+$Id: ChangeLog,v 1.2739 2009/03/04 17:51:25 freddy77 Exp $
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index ba50091..95ec9bb 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.343 2009/03/04 17:41:11 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.344 2009/03/04 17:51:25 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -5557,7 +5557,7 @@ dbdatecrack(DBPROCESS * dbproc, DBDATEREC * output, DBDATETIME * datetime)
 	di->datesecond = dr.second;
 	di->datemsecond = dr.millisecond;
 	/* Revert to compiled-in default if dbproc can't be used to find the runtime override. */
-	if( dbproc && dbproc->msdblib || msdblib && !dbproc  ) {
+	if (dbproc ? dbproc->msdblib : msdblib) {
 		++di->quarter;
 		++di->datemonth;
 		++di->datedweek;

